# react-time-range-slider

ReactTimeRangeSlider is a React component allowing users to integrate time range slider. It can accept start and end time. It also allow to define time format default 24 hour time format

## Usage

```js
import React from 'react';
import { render} from 'react-dom';
import TimeRangeSlider from 'react-time-range-slider';
class App extends React.Component{
	constructor(props) {
	    super(props);
	    this.featureRef = React.createRef();
	    this.state = {
	      value: {
	      	start: "00:00",
	      	end: "23:59"
	      }
	    }
	}

	render() {
		return(<div style={{width:"300px",margin: "20px"}}>
			<div className="time-range">
				<b>Start Time:</b> {this.state.value.start}  <b>End Time:</b> {this.state.value.end}
			</div>
			<div className="time-range-slider">
		    	<TimeRangeSlider
		    	value={this.state.value}
		    	onChange={(value) => this.setState({value:value})}/>
	    	</div>
	    </div>);
	}
};

render(<App />, document.getElementById("app"));
```

## API

```js
var reactTimeRangeSlider = require('react-time-range-slider')
```

See [api_formatting.md](api_formatting.md) for tips.

## Install

With [npm](https://npmjs.org/) installed, run

```
$ npm install react-time-range-slider
```

## Acknowledgments

react-time-range-slider was inspired by..

## See Also

- [`noffle/common-readme`](https://github.com/noffle/common-readme)
- ...

## License

ISC
